org.apache.coyote.http11.upgrade

## Interface InternalHttpUpgradeHandler

- All Superinterfaces:
    HttpUpgradeHandler
  All Known Implementing Classes:
    Http2UpgradeHandler, WsHttpUpgradeHandler

      public interface InternalHttpUpgradeHandler
      extends HttpUpgradeHandler

  This Tomcat specific interface is implemented by handlers that require direct access to Tomcat's I/O layer rather than going through the Servlet API.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `pause()`
    `void` | `setSocketWrapper(SocketWrapperBase<?> wrapper)`
    `void` | `setSslSupport(SSLSupport sslSupport)`
    `AbstractEndpoint.Handler.SocketState` | `upgradeDispatch(SocketEvent status)`

    - ### Methods inherited from interface javax.servlet.http.HttpUpgradeHandler

      `destroy, init`

- - ### Method Detail

    - #### upgradeDispatch

          AbstractEndpoint.Handler.SocketState upgradeDispatch(SocketEvent status)

    - #### setSocketWrapper

          void setSocketWrapper(SocketWrapperBase<?> wrapper)

    - #### setSslSupport

          void setSslSupport(SSLSupport sslSupport)

    - #### pause

          void pause()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.